Retrieve EOR Contract Details

Returns basic contract information and associated employment costs for a specific EOR contract.

Token scopes: contracts:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier for the Deel contract

Response

Successful response
idstringOptional
The unique identifier for the Deel contract.
namestringOptional
Contract name
teamobjectOptional
salarystringOptional
Annual salary as a string to preserve decimal precision.
statusenumOptional
The current status of the contract.
creatorobjectOptional
currencystringOptional
The currency used in the contract.
employeeobjectOptional
Employee details
end_datestring or nullOptionalformat: "date-time"
The end date of the contract, if applicable.
holidaysinteger or nullOptional
Number of holidays for the contract.
timezonestringOptional
The timezone of the contract.
seniorityobjectOptional
sick_daysobjectOptional
Allowed sick days range.
work_visabooleanOptional
Indicates if a work visa is required.
created_atstringOptionalformat: "date-time"
The date and time when the contract was created.
start_datestringOptionalformat: "date-time"
The start date of the contract.
updated_atstringOptionalformat: "date-time"
The date and time when the contract was last updated.
descriptionstringOptional
Contract description
hourly_ratestring or nullOptional
Hourly rate as a string to preserve decimal precision.
signed_datestring or nullOptionalformat: "date-time"
The date and time when the contract was signed by both parties.
cancelled_atstring or nullOptionalformat: "date-time"
The date and time when the contract was cancelled.
completed_atstring or nullOptionalformat: "date-time"
The date and time when the contract was completed.
payroll_typeenumOptional
Payroll frequency for the contract
can_adjust_onobject or nullOptional
Time frame when adjustments can be made.
contract_typeenumOptional
The type of contract.
scope_of_workstringOptional
Description of job scope and responsibilities.
signing_bonusstring or nullOptional

One-time bonus paid at contract sign.

time_off_typeenumOptional
Type of time off policy.
deposit_monthsstring or nullOptional
Number of deposit months required.
effective_datestringOptionalformat: "date-time"
The date and time when the contract is effective.
job_title_namestring or nullOptional
The contract's job title.
completion_datestring or nullOptionalformat: "date-time"
The completion date of the contract.
employment_typeenumOptional
The type of employment.
hris_profile_idstring or nullOptionalformat: "uuid"
The HRIS profile ID linked to this contract.
client_signaturestring or nullOptional
The signature of the client.
client_signed_atstring or nullOptionalformat: "date-time"
The date and time when the client signed the contract.
employment_costsobject or nullOptional
Detailed breakdown of employment costs including summary totals, sectioned cost groups, and additional context notes.
employment_statestring or nullOptional
The state of the employment.
hiring_objectiveobject or nullOptional
Information about the hiring objective.
probation_periodintegerOptional
Number of days in the probation period.
compensation_typeenum or nullOptional
Compensation type for the contract.
employee_signed_atstring or nullOptionalformat: "date-time"
Date and time when the employee signed.
employment_countrystringOptional
Two letter country code of the employment country.
notice_period_typeenum or nullOptional
Type of notice period if applicable.
calculated_holidaysstring or nullOptional
Calculated number of holidays as a string.
original_start_datestringOptionalformat: "date-time"
The originally planned start date.
work_hours_per_weekstringOptional
Number of work hours per week.
contractor_signaturestring or nullOptional
The signature of the EOR entity representative.
contractor_signed_atstring or nullOptionalformat: "date-time"
The date and time when the contractor signed the contract.
effective_plain_datestringOptionalformat: "date"
The effective date in plain format.
fixed_adjustment_idslist of strings or nullOptional
List of fixed adjustment ids.
invited_client_emailstring or nullOptional
The email address of the invited client.
last_quote_rejectionobject or nullOptional
Timestamp of last quote rejection.
completion_plain_datestring or nullOptionalformat: "date"
The completion date of the contract in plain contract.
is_onboarding_on_holdbooleanOptional
Whether onboarding is currently on hold or not.
monthly_employer_coststringOptional
Monthly cost to the employer.
employee_late_sign_startstring or nullOptionalformat: "date-time"
Date when employee signed late, if applicable.
is_early_invoice_enabledbooleanOptional
Whether early invoicing is enabled or not.
onboarding_step_durationinteger or nullOptional
Duration of onboarding steps in days.
signing_bonus_payout_typeenum or nullOptional

Defines when the signing bonus is paid. Set only when signing_bonus is present.

variable_compensation_idslist of stringsOptional
List of variable compensation IDs.
can_remind_employee_to_signbooleanOptional
Whether reminders to sign the employee resignation can be sent to the employee or not.
initial_effective_plain_datestringOptionalformat: "date"
The initial effective date in plain format.
is_foreign_currency_contractbooleanOptional
Whether the contract uses foreign currency or not.
is_employee_onboarding_delayedbooleanOptional
Determines if the invite for employee onboarding should be dispatch manually.
monthly_eor_management_fee_usdstringOptional
Monthly EOR management fee in USD.
work_schedule_assignment_settingsenumOptional
Work schedule assignment setting.
probation_period_type_for_definiteenum or nullOptional
Probation period type for definite contracts.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error